Skip to main content
`Ctrl`+`K`

# DMGetNumDS

Get the number of discrete systems in the `DM`

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetNumDS(DM dm, PetscInt *Nds)

Not Collective

## Input Parameter

- dm - The `DM`

## Output Parameter

- Nds - The number of `PetscDS` objects

## See Also

DM Basics, `DM`, `DMGetDS()`, `DMGetCellDS()`

## Level

intermediate

## Location

src/dm/interface/dm.c

## Examples

src/ts/tutorials/ex53.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages